Displaying 20 results from an estimated 54 matches for "skip_unless_phony_guest".
2020 Apr 06
1
[v2v PATCH] tests: fix location to generated images
...test-v2v-trim.sh \
test-v2v-virtio-win-iso.sh \
test-v2v-windows-conversion.sh \
- rhbz1232192.sh \
- rhbz1232192.xml
+ rhbz1232192.sh
diff --git a/tests/rhbz1232192.sh b/tests/rhbz1232192.sh
index 80f86003..2d4b342b 100755
--- a/tests/rhbz1232192.sh
+++ b/tests/rhbz1232192.sh
@@ -30,4 +30,4 @@ skip_unless_phony_guest blank-disk.img
export VIRT_TOOLS_DATA_DIR="$top_srcdir/test-data/fake-virt-tools"
-virt-v2v -i libvirtxml "$srcdir/rhbz1232192.xml" -o null --no-copy
+virt-v2v -i libvirtxml rhbz1232192.xml -o null --no-copy
diff --git a/tests/rhbz1232192.xml b/tests/rhbz1232192.xml.in
simi...
2018 Oct 01
2
[PATCH] v2v: -o rhv-upload: skip test-v2v-o-rhv-upload.sh w/o nbdkit
...on(+)
diff --git a/v2v/test-v2v-o-rhv-upload.sh b/v2v/test-v2v-o-rhv-upload.sh
index 8bda7cc0b..29214a9db 100755
--- a/v2v/test-v2v-o-rhv-upload.sh
+++ b/v2v/test-v2v-o-rhv-upload.sh
@@ -28,6 +28,7 @@ set -x
$TEST_FUNCTIONS
skip_if_skipped
skip_if_backend uml
+skip_unless nbdkit file --version
skip_unless_phony_guest windows.img
libvirt_uri="test://$abs_top_builddir/test-data/phony-guests/guests.xml"
--
2.17.1
2017 Feb 20
3
[PATCH 0/3] tests: Define common test functions.
Previously I posted a work-in-progress preview of this patch series:
https://www.redhat.com/archives/libguestfs/2017-February/msg00224.html
This is the finished version that updates all of the shell-script
based tests. It passes 'make check', 'make check-direct' and
'make check-slow'.
Rich.
2018 Oct 01
2
[PATCH v2] v2v: -o rhv-upload: test-v2v-o-rhv-upload.sh: add more skip checks
...-rhv-upload.sh b/v2v/test-v2v-o-rhv-upload.sh
index 8bda7cc0b..23d2ad7a0 100755
--- a/v2v/test-v2v-o-rhv-upload.sh
+++ b/v2v/test-v2v-o-rhv-upload.sh
@@ -28,6 +28,8 @@ set -x
$TEST_FUNCTIONS
skip_if_skipped
skip_if_backend uml
+skip_unless python3 --version
+skip_unless nbdkit python3 --version
skip_unless_phony_guest windows.img
libvirt_uri="test://$abs_top_builddir/test-data/phony-guests/guests.xml"
--
2.17.1
2019 Dec 17
6
[v2v PATCH 0/3] Various dist/build fixes
Fix one dist issue, and almost all the builddir!=srcdir issues.
(For the record, only 3 tests still fail in that setup.)
Pino Toscano (3):
libvirt-ocaml: add libvirt_c.h as source
tests: fix path to sources of fake-virtio-win.iso
tests: fix srcdir references
bundled/libvirt-ocaml/Makefile.am | 1 +
test-data/fake-virtio-win/Makefile.am | 2 +-
tests/rhbz1232192.sh
2019 Jul 01
0
[PATCH 6/6] p2v: tests: use a local blank-part disk image
...\
diff --git a/p2v/test-virt-p2v-nbdkit.sh b/p2v/test-virt-p2v-nbdkit.sh
index 6e7ae2129..5c635bb03 100755
--- a/p2v/test-virt-p2v-nbdkit.sh
+++ b/p2v/test-virt-p2v-nbdkit.sh
@@ -25,10 +25,10 @@ skip_if_skipped
skip_if_backend uml
skip_unless nbdkit file --version
skip_unless test -f fedora.img
-skip_unless_phony_guest blank-part.img
+skip_unless test -f blank-part.img
f1="$abs_builddir/fedora.img"
-f2="$abs_top_builddir/test-data/phony-guests/blank-part.img"
+f2="$abs_builddir/blank-part.img"
d=test-virt-p2v-nbdkit.d
rm -rf $d
diff --git a/p2v/test-virt-p2v.sh b/p2v/test-virt...
2017 Feb 19
3
[PATCH [WIP] 0/3] tests: Define common test functions.
There's a lot of common code in the tests, eg:
if [ "$(guestfish get-backend)" = "uml" ]; then
echo "$0: test skipped because UML backend does not support network"
exit 77
fi
These commits (work in progress) create a common set of test functions
for skipping tests etc.
Rich.
2017 Mar 06
2
[PATCH] v2v: Add extra tests for malformed OVA files.
...ic License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+# Test -i ova option with a good manifest containing a bad SHA1 checksum.
+
+set -e
+
+$TEST_FUNCTIONS
+skip_if_skipped
+skip_if_backend uml
+skip_unless_phony_guest windows.img
+
+if [ ! -f windows.vmdk -o ! -s windows.vmdk ]; then
+ echo "$0: test skipped because windows.vmdk was not created"
+ exit 77
+fi
+
+export VIRT_TOOLS_DATA_DIR="$top_srcdir/test-data/fake-virt-tools"
+
+d=test-v2v-i-ova-bad-sha1.d
+rm -rf $d
+mkdir $d
+
+push...
2019 May 16
2
[PATCH] v2v: -o json: add a simple test for it
...+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+# Test -o json.
+
+set -e
+
+$TEST_FUNCTIONS
+skip_if_skipped
+skip_if_backend uml
+skip_unless_phony_guest windows.img
+skip_unless jq --version
+
+libvirt_uri="test://$abs_top_builddir/test-data/phony-guests/guests.xml"
+
+export VIRT_TOOLS_DATA_DIR="$top_srcdir/test-data/fake-virt-tools"
+
+guestname=windows
+
+d=test-v2v-o-json.d
+rm -rf $d
+mkdir $d
+
+json=$d/$guestname.json
+
+...
2019 Dec 16
4
[v2v PATCH 0/3] tests: simpler way to use configure results
Add a single shell script to hold results of configure.
Pino Toscano (3):
build: add an empty config.sh
Revert "tests: rhv-upload: Fix skip test of nbdkit python plugin."
tests: use the right nbdkit python3 plugin
.gitignore | 2 +-
config.sh.in | 22 +++++++++++++++++++
configure.ac
2017 Aug 03
0
[PATCH 6/6] tests: Add a regression test for RHBZ#1477623.
...the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+# Regression test for:
+# https://bugzilla.redhat.com/show_bug.cgi?id=1477623
+# Check that the 'file' API doesn't break on some chardevs.
+
+set -e
+
+$TEST_FUNCTIONS
+skip_if_skipped
+skip_unless_phony_guest fedora.img
+
+d=rhbz1477623.img
+rm -f $d
+
+guestfish -- \
+ disk-create $d qcow2 -1 \
+ backingfile:$top_builddir/test-data/phony-guests/fedora.img \
+ backingformat:raw
+
+guestfish -a $d -i <<EOF
+ mkdir /dev
+ mknod-c 0777 5 1 /dev/console
+ mknod-c 0777 10...
2018 Oct 01
0
Re: [PATCH] v2v: -o rhv-upload: skip test-v2v-o-rhv-upload.sh w/o nbdkit
....sh b/v2v/test-v2v-o-rhv-upload.sh
> index 8bda7cc0b..29214a9db 100755
> --- a/v2v/test-v2v-o-rhv-upload.sh
> +++ b/v2v/test-v2v-o-rhv-upload.sh
> @@ -28,6 +28,7 @@ set -x
> $TEST_FUNCTIONS
> skip_if_skipped
> skip_if_backend uml
> +skip_unless nbdkit file --version
> skip_unless_phony_guest windows.img
>
> libvirt_uri="test://$abs_top_builddir/test-data/phony-guests/guests.xml"
ACK.
We could also skip if Python is not available, or one of the Python
modules like the HTTP server is not available. However getting a good
skip check is tricky to get right.
Rich.
--...
2018 Oct 01
0
Re: [PATCH v2] v2v: -o rhv-upload: test-v2v-o-rhv-upload.sh: add more skip checks
...index 8bda7cc0b..23d2ad7a0 100755
> --- a/v2v/test-v2v-o-rhv-upload.sh
> +++ b/v2v/test-v2v-o-rhv-upload.sh
> @@ -28,6 +28,8 @@ set -x
> $TEST_FUNCTIONS
> skip_if_skipped
> skip_if_backend uml
> +skip_unless python3 --version
> +skip_unless nbdkit python3 --version
> skip_unless_phony_guest windows.img
>
> libvirt_uri="test://$abs_top_builddir/test-data/phony-guests/guests.xml"
This will only work on Fedora because Fedora renames the upstream
nbdkit python plugin to nbdkit-python3-plugin.so:
https://src.fedoraproject.org/rpms/nbdkit/blob/master/f/nbdkit.spec#_679...
2019 Nov 29
2
[PATCH] tests: rhv-upload: Require nbdkit python plugin
...-rhv-upload.sh
index a2f5b0d5..fe0a4d94 100755
--- a/tests/test-v2v-o-rhv-upload.sh
+++ b/tests/test-v2v-o-rhv-upload.sh
@@ -29,7 +29,7 @@ $TEST_FUNCTIONS
skip_if_skipped
skip_if_backend uml
skip_unless python3 --version
-skip_unless nbdkit python3 --version
+skip_unless nbdkit python --version
skip_unless_phony_guest windows.img
libvirt_uri="test://$abs_top_builddir/test-data/phony-guests/guests.xml"
--
2.21.0
2019 Dec 16
0
[v2v PATCH 3/3] tests: use the right nbdkit python3 plugin
...5b0d5..e70575c7 100755
--- a/tests/test-v2v-o-rhv-upload.sh
+++ b/tests/test-v2v-o-rhv-upload.sh
@@ -29,7 +29,7 @@ $TEST_FUNCTIONS
skip_if_skipped
skip_if_backend uml
skip_unless python3 --version
-skip_unless nbdkit python3 --version
+skip_unless nbdkit $VIRT_V2V_NBDKIT_PYTHON_PLUGIN --version
skip_unless_phony_guest windows.img
libvirt_uri="test://$abs_top_builddir/test-data/phony-guests/guests.xml"
--
2.23.0
2019 Nov 29
0
[PATCH] tests: test --key for a real guest (with inspection)
..., write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+# Test the --key option. It is handled by common code so we only need
+# to test one tool (guestfish).
+
+set -e
+
+$TEST_FUNCTIONS
+skip_if_skipped
+skip_unless_feature_available luks
+skip_unless_phony_guest fedora-luks.img
+
+disk=../../test-data/phony-guests/fedora-luks.img
+device=/dev/sda2
+
+# Get the UUID of the LUKS device.
+uuid="$(guestfish --ro -a $disk run : luks-uuid $device)"
+
+# Try to decrypt the disk in different ways:
+# - pass a wrong key via stdin to check the --key value...
2019 May 16
0
Re: [PATCH] v2v: -o json: add a simple test for it
...ublic License
> +# along with this program; if not, write to the Free Software
> +# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
> +
> +# Test -o json.
> +
> +set -e
> +
> +$TEST_FUNCTIONS
> +skip_if_skipped
> +skip_if_backend uml
> +skip_unless_phony_guest windows.img
> +skip_unless jq --version
> +
> +libvirt_uri="test://$abs_top_builddir/test-data/phony-guests/guests.xml"
> +
> +export VIRT_TOOLS_DATA_DIR="$top_srcdir/test-data/fake-virt-tools"
> +
> +guestname=windows
> +
> +d=test-v2v-o-json.d
> +...
2017 Apr 06
0
[PATCH v6 PATCH 7/7] yara_scan: added API tests
...of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+# Test the yara_scan command.
+
+set -e
+
+$TEST_FUNCTIONS
+skip_if_skipped
+skip_unless_feature_available sleuthkit
+skip_unless_phony_guest blank-fs.img
+
+rm -f test-yara-rules.yar
+
+/bin/cat << EOF > test-yara-rules.yar
+rule TestRule
+{
+ strings:
+ \$my_text_string = "some text"
+
+ condition:
+ \$my_text_string
+}
+EOF
+
+output=$(
+guestfish --ro -a ../../test-data/phony-guests/blank-fs.img...
2019 Nov 29
1
Re: [PATCH] tests: test --key for a real guest (with inspection)
...51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
> +
> +# Test the --key option. It is handled by common code so we only need
> +# to test one tool (guestfish).
> +
> +set -e
> +
> +$TEST_FUNCTIONS
> +skip_if_skipped
> +skip_unless_feature_available luks
> +skip_unless_phony_guest fedora-luks.img
> +
> +disk=../../test-data/phony-guests/fedora-luks.img
> +device=/dev/sda2
> +
> +# Get the UUID of the LUKS device.
> +uuid="$(guestfish --ro -a $disk run : luks-uuid $device)"
> +
> +# Try to decrypt the disk in different ways:
> +# - pass a...
2019 Jul 01
8
[PATCH 0/6] p2v: start making it independent
As preliminary steps in splitting virt-p2v to an own repository,
start making p2v more independent within libguestfs. This is
accomplished by the following changes:
- generate the p2v kernel config sources & docs at build time using a
Perl script, rather than the generator (so no need for OCaml when
building from git, and no generated sources in dist tarballs)
- create two local test